html.modal_opened,
body.modal_opened {
    overflow: hidden;
}

.swiper-pagination-bullet-active {
    background: white;
}

.swal2-container {
    z-index: 9999;
}

.k_banner {
    padding-top: 149px;
}

.k_banner video {
    height: 760px;
    object-fit: cover;
    object-position: center 60%;
}

.k_modal {
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 99999;
    background-color: rgba(0, 0, 0, .6);
    align-items: center;
    justify-content: center;
    position: fixed;
    display: none;
}

.k_modal.active {
    display: flex;
}

.k_modal_inner {
    padding: 30px;
    width: 100%;
    max-width: 900px;
    border-radius: 20px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
    background-color: white;
    flex-direction: column;
    display: flex;
}

.k_modal_top {
    margin-bottom: 30px;
    width: 100%;
    justify-content: space-between;
    flex-direction: row;
    display: flex;
}

.k_modal_top h6 {
    font-size: 24px;
    font-weight: 500;
    color: var(--main-color);
}

.k_modal_top i {
    font-size: 24px;
    cursor: pointer;
}

.k_modal_content h6 {
    margin-bottom: 20px;
    font-size: 24px;
    font-weight: 500;
}

.k_modal_content p {
    line-height: 1.5;
    font-size: 18px;
}

#Home_ContactUs,
#Home_AboutUsDiv {
    min-height: 760px;
}

.k_link {
    margin-top: 20px;
    padding: 10px 40px;
    background-color: var(--main-color);
    border: 1px solid transparent;
    border-radius: 50px;
    letter-spacing: 1px;
    color: white;
    text-transform: uppercase;
    align-items: center;
    display: flex;
}

.k_link:hover {
    color: var(--main-color);
    border: 1px solid var(--main-color);
    background-color: white;
}

.k_link:hover span {
    color: var(--main-color);
}

.k_link span {
    padding-left: 10px;
    font-size: 16px;
    font-weight: 600;
    color: white;
}

.k_home_banner {
    width: 100%;
    height: 820px;
}

.k_home_banner_inner {
    margin: 0 auto;
    width: 100%;
    height: 100%;
    max-width: 1360px;
    align-items: flex-end;
    justify-content: center;
    flex-direction: column;
    display: flex;
    position: relative;
}

.k_home_banner_text {
    width: 100%;
    max-width: 420px;
    align-items: flex-end;
    flex-direction: column;
    display: flex;
    position: relative;
}

.k_home_banner_text h6 {
    font-size: 72px;
    font-weight: 500;
    line-height: 1.2;
    font-family: "Open Sans", sans-serif;
    color: white;
}

.k_home_banner_text h6:nth-child(2) {
    font-size: 80px;
}

.k_home_banner_text h6:nth-child(3) {
    font-size: 67px;
}

.k_home_banner_text h6:nth-child(3)::before {
    left: -20px;
    font-weight: bold;
    content: '"';
    position: absolute;
}

.k_home_banner_text h6:nth-child(3)::after {
    right: -40px;
    font-weight: bold;
    content: '"';
    position: absolute;
}

.bg01 {
    background-image: url(../img/banner1.jpg);
    background-size: cover;
    background-position: top;
}

.bg02 {
    background-image: url(../img/banner3.jpg);
    background-size: cover;
    background-position: left;
}

.k_home_aboutus {
    position: relative;
}

.k_home_aboutus_content {
    padding: 80px 14vw;
    z-index: 3;
    align-items: flex-start;
    flex-direction: column;
    display: flex;
    position: relative;
}

.k_home_aboutus_content p {
    width: 100%;
    max-width: 55%;
    line-height: 1.5;
}

.k_home_aboutus_content p strong {
    font-weight: bold;
}

.k_home_aboutus_bottom {
    top: -125px;
    z-index: 2;
    width: 100%;
    position: absolute;
}

.k_home_newscenter_bottom img,
.k_home_aboutus_bottom img {
    width: 100%;
}

.k_home_newscenter_content {
    align-items: center;
    flex-direction: column;
    display: flex;
}

#HomeNC_Div {
    width: 100%;
    max-width: 1400px;
    margin: 0 auto 30px;
    column-gap: 40px;
    grid-template-columns: repeat(3, 1fr);
    display: grid;
}

.k_home_nc_item {
    padding: 30px 0;
    border-bottom: 3px solid transparent;
    transition: all .3s ease-in-out;
    align-items: center;
    flex-direction: column;
    display: flex;
}

.k_home_nc_item:hover .k_home_nc_title {
    border-bottom: 1px solid var(--main-color);
}

.k_home_nc_date {
    margin-bottom: 5px;
    font-size: 48px;
    font-weight: 500;
}

.k_home_nc_month {
    font-size: 36px;
    font-weight: 500;
    text-transform: uppercase;
}

.k_home_nc_type {
    margin-top: 10px;
    line-height: 1.35;
    font-weight: 500;
    text-align: center;
}

.k_home_nc_title {
    margin-top: 10px;
    line-height: 1.35;
    font-weight: 300;
    text-align: center;
}

.k_home_contactus {
    padding: 60px 0 0 25vw;
    flex-direction: row;
    display: flex;
    position: relative;
}

.k_home_contactus_category {
    margin-top: 60px;
    margin-bottom: 60px;
}

.k_home_contactus_right img {
    width: 100%;
}

.k_home_contactus_item {
    margin-top: 30px;
    column-gap: 15px;
    align-items: flex-start;
    flex-direction: row;
    display: flex;
    cursor: pointer;
}

.k_home_contactus_item img {
    transition: all .3s ease-in-out;
}

.k_home_contactus_item.active img {
    transform: rotate(90deg);
    transition: all .3s ease-in-out;
}

.k_home_contactus_item.active .k_home_cc_item {
    display: flex;
}

.k_home_contactus_item.active h6 {
    margin-bottom: 30px;
}

.k_home_cc_item {
    flex-direction: row;
    display: flex;
}

.k_home_cc_right {
    flex-direction: column;
    display: flex;
    position: relative;
}

.k_home_cc_right h6 {
    font-size: 24px;
    font-weight: bold;
}

.k_home_cc_item {
    width: 100%;
    margin-bottom: 20px;
    font-weight: 300;
    font-size: 18px;
    display: none;
}

.k_home_cc_item p {
    line-height: 1.25;
}

.k_home_cc_item span {
    min-width: 110px;
}

.k_home_cc_item a {
    color: var(--main-color);
}

.k_home_contactus_bottom {
    top: 0;
    right: 30px;
    position: absolute;
}

.k_home_contactus_bottom img {
    width: 100%;
}

/* Inner Page */
.k_inner_banner {
    width: 100%;
    height: 650px;
    background-position: center;
    background-size: cover;
}

.bg_aboutus {
    background-image: url('../img/aboutus_banner.jpg');
}

.bg_business {
    background-image: url('../img/business_banner.jpg');
}

.bg_ir {
    background-image: url('../img/ir_banner.jpg');
}

.bg_news {
    background-image: url('../img/news_banner.jpg');
}

.bg_career {
    background-position: top;
    background-image: url('../img/career_banner.jpg');
}

.bg_contactus {
    background-image: url('../img/contactus_banner.jpg');
}

.k_inner_content {
    margin: 0 auto;
    padding: 90px 0;
    width: 100%;
    max-width: 1360px;
}

.k_inner_content4 {
    margin: 0 auto;
    padding: 160px 0;
    width: 100%;
    max-width: 1360px;
    position: relative;
}

.k_inner_content2 {
    margin: 0 auto;
    padding: 90px 0;
    width: 100%;
    position: relative;
}

.k_inner_content3 {
    margin: 0 auto;
    padding: 0;
    width: 100%;
    position: relative;
}

#Content_CompanyProfile_Div .k_inner_content {
    padding: 90px 0 40px;
}

#Content_Philosophy_Div .k_inner_content {
    max-width: 1460px;
}

.k_inner_content_img.pa {
    top: 21%;
    width: 100%;
    max-width: 1360px;
    margin: 0 auto;
    justify-content: flex-end;
    display: flex;
    position: absolute;
}

.k_inner_content_img img {
    width: 100%;
    max-width: 680px;
}

.k_inner_aboutus {
    margin-top: 30px;
}

.k_inner_aboutus h2 {
    margin-bottom: 30px;
}

.k_inner_bottom {
    width: 100%;
    flex-direction: column;
    display: flex;
    position: relative;
}

.k_inner_bottom>div {
    padding-bottom: 120px;
    margin: 0 auto;
    right: 0;
    width: 100%;
    max-width: 1360px;
}

.k_inner_bottom>div>p {
    padding-left: 21.5vw;
    width: 100%;
    max-width: 1360px;
    position: absolute;
    text-align: justify;
}

.k_inner_bottom img {
    width: 100%;
    object-fit: contain;
    display: flex;
}

.k_contactus_left_master {
    row-gap: 60px;
    flex-direction: column;
    display: flex;
}

.k_contactus_item {
    column-gap: 40px;
    grid-template-columns: 2fr 1fr;
    display: grid;
}

.k_contactus_left {
    column-gap: 15px;
    align-items: flex-start;
    flex-direction: row;
    display: flex;
}

.k_contactus_left img {
    filter: grayscale(1);
    transform: rotate(90deg);
}

.k_contactus_left h6 {
    font-size: 28px;
    font-weight: bold;
}

.k_contactus_details h6 {
    margin-bottom: 30px;
}

.k_cc_item {
    margin-bottom: 10px;
    align-items: flex-start;
    flex-direction: row;
    display: flex;
}

.k_cc_item span {
    min-width: 110px;
}

.k_cc_item a {
    color: var(--main-color);
}

.k_cc_item span,
.k_cc_item p {
    line-height: 1.5;
}

.k_inner_directors h2 {
    text-align: center;
}

.k_inner_directors_category {
    margin: 120px 0 40px;
}

.k_inner_directors_ci:first-child {
    margin-bottom: 120px;
}

.k_id_ci_label {
    margin-bottom: 40px;
    column-gap: 10px;
    flex-direction: row;
    display: flex;
}

.k_id_ci_label i {
    font-size: 24px;
}

.k_id_ci_label h5 {
    font-size: 24px;
    font-weight: 500;
    text-transform: uppercase;
}

.k_id_ci_people {
    column-gap: 40px;
    grid-template-columns: repeat(3, 1fr);
    display: grid;
}

.k_id_ci_people_item {
    padding: 60px;
    border-radius: 20px;
    border: 2px solid var(--main-color);
    align-items: center;
    justify-content: center;
    display: flex;
    cursor: pointer;
}

.k_id_ci_people_item:hover {
    transition: all .3s ease-in-out;
    background-color: var(--main-color);
}

.k_id_ci_people_item h6 {
    font-weight: 500;
    color: var(--main-color);
}


.k_id_ci_people_item:hover h6 {
    transition: all .3s ease-in-out;
    color: white;
}

.k_inner_prospectus h2 {
    text-align: center;
}

#Content_IR_Div h2 {
    margin-bottom: 60px;
    text-align: center;
}

#Content_IR2_Div h2 {
    margin-bottom: 60px;
}

#Content_IR2_Div .k_contactus {
    width: 100%;
    flex-direction: row;
    display: flex;
}

#Content_IR2_Div .k_contactus_item {
    width: 100%;
    grid-template-columns: 1fr 1fr;
}

.k_cg_bod {}

.k_cg_bod_item {
    margin-top: 60px;
    align-items: flex-start;
    flex-direction: column;
    display: flex;
}

.k_cg_bod_item h5 {
    margin-bottom: 15px;
    padding-bottom: 5px;
    border-bottom: 2px solid var(--main-color);
    font-size: 20px;
    font-weight: 600;
    color: var(--main-color);
}

.k_cg_bod_list {
    margin-top: 20px;
    align-items: flex-start;
    flex-direction: column;
    display: flex;
}

.k_cg_bod_list h6 {
    font-weight: 400;
    text-transform: uppercase;
}

.k_cg_bod_list ul {
    margin-top: 15px;
}

.k_cg_bod_list ul li {
    font-weight: 300;
    margin-bottom: 10px;
}

.k_cg_bod_item p {
    margin-bottom: 10px;
}

.k_cg_bod_item .k_link {
    margin-top: 10px;
}

.k_cg_bod_item img {
    width: 100%;
    max-width: 18px;
    filter: brightness(0) invert(1);
}

.k_cg_bod_item .k_link:hover img {
    filter: invert(41%) sepia(31%) saturate(836%) hue-rotate(7deg) brightness(96%) contrast(89%);
}

.k_cc {
    margin: 0 auto;
    width: 100%;
    max-width: 900px;
    column-gap: 60px;
    grid-template-columns: repeat(2, 1fr);
    display: grid;
}

#Content_Disclaimer_Div h2 {
    margin-bottom: 30px;
}

.k_disclaimer p {
    margin-bottom: 20px;
}

#Content_Philosophy_Div h2 {
    text-align: center;
}

.k_philosophy {
    margin-top: 60px;
    column-gap: 60px;
    grid-template-columns: repeat(3, 1fr);
    display: grid;
}

.k_philosophy_item {
    padding: 40px 0;
    transition: all .3s ease-in-out;
    align-items: center;
    flex-direction: column;
    display: flex;
}

.k_philosophy_item > div {
    width: 100%;
    border-bottom: 1px solid var(--gold-text-color);
    padding-bottom: 30px;
    column-gap: 15px;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    display: flex;
}

.k_philosophy_item:hover {
    transition: all .3s ease-in-out;
}

.k_philosophy_item p {
    margin-bottom: 10px;
    line-height: 1.5;
    text-align: left;
}

.k_philosophy_item h6 {
    font-size: 24px;
    font-weight: bold;
}

.k_pi_icon {
    transition: all .3s ease-in-out;
    align-items: flex-start;
    display: flex;
}

.k_pi_icon img {
    width: 100%;
    max-width: 40px;
}

.k_philosophy_item ul {
    margin-top: 30px;
    margin-left: 20px;
    list-style-type: disc;
}

.k_philosophy_item li {
    line-height: 1.3;
    font-weight: 300;
    margin-bottom: 20px;
}

.k_philosophy_item li:last-child {
    margin-bottom: 0;
}

#CNDiv,
#MCDiv,
#PRDiv {
    margin-top: 30px;
    align-items: flex-end;
    flex-direction: column;
    display: flex;
}

#SelectBoxDiv {
    float: right;
    justify-content: flex-end;
    display: flex;
}

.k_news_inner {
    margin-top: 30px;
    row-gap: 30px;
    column-gap: 30px;
    grid-template-columns: repeat(3, 1fr);
    display: grid;
}

.k_news_inner img {
    width: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;
}

.k_news_item {
    border-bottom: 5px solid transparent;
    background-color: rgba(0, 0, 0, 0.025);
    flex-direction: column;
    display: flex;
    transition: all .3s ease-in-out;
}

.k_news_item:hover {
    border-bottom: 5px solid var(--gold-text-color);
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    transition: all .3s ease-in-out;
}

.k_news_item:hover .k_news_pdf {
    color: var(--main-color);
}

.k_news_item figure {
    margin: 0 auto;
    width: 100%;
    max-width: 220px;
    margin-bottom: 10px;
}

.k_news_item figure img {
    width: 100%;
    max-width: 220px;
    border-radius: 5px;
    object-fit: cover;
}

.k_news_desc {
    row-gap: 15px;
    padding: 20px;
    height: 100%;
    justify-content: space-between;
    flex-direction: column;
    display: flex;
}

.k_news_title {
    font-size: 18px;
    font-weight: 600;
    line-height: 1.5;
    color: var(--text-black-color);
}

.k_news_date {
    font-size: 16px;
    text-align: right;
}

.k_news_title p {
    font-weight: 400;
    text-align: left;
    line-height: 1.5;
    display: -webkit-box;
    /* Use flexbox for layout */
    -webkit-box-orient: vertical;
    /* Set the orientation of the box */
    -webkit-line-clamp: 4;
    /* Limit to 3 lines */
    overflow: hidden;
    /* Hide overflow text */
    text-overflow: ellipsis;
}

.k_news_pdf {
    justify-content: flex-end;
    display: flex;
}

.k_news_pdf h6 {
    font-weight: 500;
    font-size: 16px;
    margin-left: 5px;
    text-transform: uppercase;
    line-height: normal;
    color: var(--text-black-color);
}

.k_news_pdf i {
    color: var(--text-black-color);
}

.k_cp {
    align-items: flex-end;
    justify-content: flex-end;
    flex-direction: column;
    display: flex;
}

.k_cp_inner {
    margin: 60px auto 0;
    width: 100%;
    max-width: 900px;
    column-gap: 60px;
    grid-template-columns: repeat(2, 1fr);
    display: grid;
}

.k_prospectus_inner {
    column-gap: 60px;
    grid-template-columns: repeat(3, 1fr);
    display: grid;
}

.k_directors_items {
    margin: 0 auto;
    padding: 60px 0;
    width: 100%;
    max-width: 1200px;
    flex-direction: column;
    display: flex;
}

.k_directors_item {
    padding: 40px 0;
    border-bottom: 1px solid var(--main-color);
    flex-direction: column;
    display: flex;
    cursor: pointer;
}

.k_directors_item.active .k_directors_desc {
    display: flex;
}

.k_directors_item.active .k_directors_people img {
    transform: rotate(-180deg);
    transition: all .3s ease-in-out;
}

.k_directors_people {
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    display: flex;
}

.k_directors_name h5 {
    margin-bottom: 10px;
    font-size: 20px;
}

.k_directors_name h6 {
    font-size: 16px;
}

.k_directors_item img {
    width: 100%;
    max-width: 30px;
    transition: all .3s ease-in-out;
}

.k_directors_people i {
    font-size: 22px;
    transition: all .3s ease-in-out;
}

.k_directors_desc {
    padding-top: 20px;
    display: none;
}

.k_contactus {
    width: 100%;
    column-gap: 40px;
    justify-content: space-between;
    grid-template-columns: 1fr 1fr;
    display: grid;
}

.k_form_contactus {
    padding: 60px 50px;
    width: 100%;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
    align-items: center;
    flex-direction: column;
    display: flex;
}

.k_form_contactus_item {
    margin-bottom: 20px;
    width: 100%;
}

#Content_ContactUs_Div .k_inner_content h2 {
    margin-bottom: 50px;
}

.k_form_contactus_item h3 {
    margin-bottom: 10px;
    font-size: 1.5rem;
}

.k_form_contactus_item h4 {
    margin-bottom: 20px;
    font-size: 1rem;
}

.k_form_contactus_item h5 {
    margin-bottom: 10px;
    font-size: 16px;
    text-transform: uppercase;
}

#CNCDiv {
    flex-direction: column;
    display: flex;
}

.k_cnc_top {
    row-gap: 20px;
    align-items: flex-start;
    flex-direction: column;
    display: flex;
}

#CNC_Photo_Div {
    width: 100%;
}

#CNC_Photo_Div .swiper {
    padding-bottom: 40px;
    width: 100%;
}

#CNC_Photo_Div .swiper-pagination-bullet-active {
    background-color: var(--gold-text-color);
}

#CNC_Photo_Div .swiper-button-next, 
#CNC_Photo_Div .swiper-button-prev {
    color: white;
}

#CNC_Photo_Div img {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}

#CNC_Title_Div {
    font-weight: 500;
    font-size: 22px;
}

#CNC_Date_Div {
    padding: 10px 20px;
    border-radius: 50px;
    font-size: 16px;
    border: 1px solid var(--gold-text-color);
    color:  var(--gold-text-color);
}

#CNC_Content_Div {
    padding: 20px 0 0;
}

#CNC_Content_Div p {
    margin-bottom: 30px;
}

#CNC_Back_Div {
    width: 100%;
    justify-content: flex-start;
    display: flex;
}

#CNC_Back_Div .k_link {
    margin-top: 0;
}